package com.tsi.api.server.mybatis;

import com.tsi.api.server.mybatis.vo.AlarmConfigVo;
import com.tsi.api.server.mybatis.vo.AlarmOccrVo;
import com.tsi.api.server.mybatis.vo.ProcessStateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TsiDatabaseMapper {

    List<AlarmConfigVo> getAlarmConfig();
    int insertAlarmOccrHs(@Param("vo") AlarmOccrVo vo);

    int updateProcessStatusStart(@Param("stts") ProcessStateVo stts);
    int updateProcessStatusStop(@Param("stts")ProcessStateVo stts);
    int updateProcessStatusRun(@Param("stts")ProcessStateVo stts);

}
